Holger's Java API

## com.antelmann.net.mail
Class EmailAccountTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.antelmann.net.mail.EmailAccountTableModel

All Implemented Interfaces:
  Serializable, TableModel

    public class EmailAccountTableModel

extends AbstractTableModel

provides a GUI model to handle EmailAccount objects.

Author:
  Holger Antelmann
See Also:
  `JEmailAccountTable`, `POP3Account`, Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`EmailAccountTableModel()`

Method Summary
`void` `addEmailAccount(POP3Account service)`
`void` `clear()`
`Class<?>` `getColumnClass(int column)`
`int` `getColumnCount()`
`String` `getColumnName(int index)`
`POP3Account` `getEmailAccount(int index)`
`POP3Account[]` `getEmailAccounts()`
`int` `getRowCount()`
`Object` `getValueAt(int row, int column)`
`boolean` `isCellEditable(int row, int column)`
`boolean` `moveDown(int index)`
`boolean` `moveUp(int index)`
`void` `removeEmailAccount(POP3Account service)`
`void` `removeRow(int index)`
`void` `setValueAt(Object value, int row, int column)`
`void` `sortByColumn(int column, boolean ascending)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailAccountTableModel

    public EmailAccountTableModel()

Method Detail

### addEmailAccount

    public void addEmailAccount(POP3Account service)

### removeEmailAccount

    public void removeEmailAccount(POP3Account service)

### removeRow

    public void removeRow(int index)

### moveUp

    public boolean moveUp(int index)

### moveDown

    public boolean moveDown(int index)

### clear

    public void clear()

### getEmailAccount

    public POP3Account getEmailAccount(int index)

### getEmailAccounts

    public POP3Account[] getEmailAccounts()

### getRowCount

    public int getRowCount()

### getColumnCount

    public int getColumnCount()

### getColumnName

    public String getColumnName(int index)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### sortByColumn

    public void sortByColumn(int column,
                             boolean ascending)

### getValueAt

    public Object getValueAt(int row,
                             int column)

### getColumnClass

    public Class<?> getColumnClass(int column)

  Specified by:
    `getColumnClass` in interface `TableModel`
  Overrides:
    `getColumnClass` in class `AbstractTableModel`

### isCellEditable

    public boolean isCellEditable(int row,
                                  int column)

  Specified by:
    `isCellEditable` in interface `TableModel`
  Overrides:
    `isCellEditable` in class `AbstractTableModel`

### setValueAt

    public void setValueAt(Object value,
                           int row,
                           int column)

  Specified by:
    `setValueAt` in interface `TableModel`
  Overrides:
    `setValueAt` in class `AbstractTableModel`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads